import java.io.*;
import java.util.*;

/**
 * Created by IntelliJ IDEA.
 * User: m09dao
 * Date: 07.10.2009
 * Time: 17:42:18
 * To change this template use File | Settings | File Templates.
 */
public class B_array {

    public static void main(String[] args) throws Exception{
        Scanner in=new Scanner(new File("array.in"));
        PrintWriter out=new PrintWriter(new File("array.out"));
         int a=in.nextInt();
        int[] mas=new int[a];
        for(int i=0;i<a;i++)
               mas[i]=in.nextInt();
        for(int i=0;i<(a+1)/2;i++)
        {
          if(i<(a/2))
            out.print(mas[i]+" "+mas[a-i-1]+" ");
          else  out.print(mas[i]);
        }
        in.close();
        out.close();
}

}
